import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {FormsModule} from '@angular/forms';

import { MaterialModule } from 'app/commons/ui/material/material.module';

import { DiscoverySettingComponent } from './component/setting/setting.component';
import { SettingResultComponent } from './component/setting-result/setting-result.component';

export const COMPONENTS = [
  DiscoverySettingComponent,
  SettingResultComponent,
];

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    FormsModule
  ],
  declarations: COMPONENTS,
  exports: COMPONENTS,
})
export class SensorModule { }
